Loading...
Searching...
No Matches
wimlib_wim_info Struct Reference
Retrieving WIM information and directory listings

General information about a WIM file. More...

`#include <wimlib.h>`

## Data Fields

uint8_t | guid [WIMLIB_GUID_LEN]
| The globally unique identifier for this WIM.
uint32_t | image_count
| The number of images in this WIM file.
uint32_t | boot_index
| The 1-based index of the bootable image in this WIM file, or 0 if no image is bootable.
uint32_t | wim_version
| The version of the WIM file format used in this WIM file.
uint32_t | chunk_size
| The default compression chunk size of resources in this WIM file.
uint16_t | part_number
| For split WIMs, the 1-based index of this part within the split WIM; otherwise 1.
uint16_t | total_parts
| For split WIMs, the total number of parts in the split WIM; otherwise 1.
int32_t | compression_type
| The default compression type of resources in this WIM file, as one of the wimlib_compression_type constants.
uint64_t | total_bytes
| The size of this WIM file in bytes, excluding the XML data and integrity table.
uint32_t | has_integrity_table: 1
| 1 iff this WIM file has an integrity table.
uint32_t | opened_from_file: 1
| 1 iff this info struct is for a WIMStruct that has a backing file.
uint32_t | is_readonly: 1
| 1 iff this WIM file is considered readonly for any reason (e.g.
uint32_t | has_rpfix: 1
| 1 iff the "reparse point fix" flag is set in this WIM's header
uint32_t | is_marked_readonly: 1
| 1 iff the "readonly" flag is set in this WIM's header
uint32_t | spanned: 1
| 1 iff the "spanned" flag is set in this WIM's header
uint32_t | write_in_progress: 1
| 1 iff the "write in progress" flag is set in this WIM's header
uint32_t | metadata_only: 1
| 1 iff the "metadata only" flag is set in this WIM's header
uint32_t | resource_only: 1
| 1 iff the "resource only" flag is set in this WIM's header
uint32_t | pipable: 1
| 1 iff this WIM file is pipable (see WIMLIB_WRITE_FLAG_PIPABLE).
uint32_t | reserved_flags: 22
uint32_t | reserved [9]

## Detailed Description

General information about a WIM file.

This info can also be requested for a WIMStruct that does not have a backing file. In this case, fields that only make sense given a backing file are set to default values.

## Field Documentation

## guid

uint8_t wimlib_wim_info::guid[WIMLIB_GUID_LEN]

The globally unique identifier for this WIM.

(Note: all parts of a split WIM normally have identical GUIDs.)

## image_count

uint32_t wimlib_wim_info::image_count

The number of images in this WIM file.

## boot_index

uint32_t wimlib_wim_info::boot_index

The 1-based index of the bootable image in this WIM file, or 0 if no image is bootable.

## wim_version

uint32_t wimlib_wim_info::wim_version

The version of the WIM file format used in this WIM file.

## chunk_size

uint32_t wimlib_wim_info::chunk_size

The default compression chunk size of resources in this WIM file.

## part_number

uint16_t wimlib_wim_info::part_number

For split WIMs, the 1-based index of this part within the split WIM; otherwise 1.

## total_parts

uint16_t wimlib_wim_info::total_parts

For split WIMs, the total number of parts in the split WIM; otherwise 1.

## compression_type

int32_t wimlib_wim_info::compression_type

The default compression type of resources in this WIM file, as one of the wimlib_compression_type constants.

## total_bytes

uint64_t wimlib_wim_info::total_bytes

The size of this WIM file in bytes, excluding the XML data and integrity table.

## has_integrity_table

uint32_t wimlib_wim_info::has_integrity_table

1 iff this WIM file has an integrity table.

## opened_from_file

uint32_t wimlib_wim_info::opened_from_file

1 iff this info struct is for a WIMStruct that has a backing file.

## is_readonly

uint32_t wimlib_wim_info::is_readonly

1 iff this WIM file is considered readonly for any reason (e.g.

the "readonly" header flag is set, or this is part of a split WIM, or filesystem permissions deny writing)

## has_rpfix

uint32_t wimlib_wim_info::has_rpfix

1 iff the "reparse point fix" flag is set in this WIM's header

## is_marked_readonly

uint32_t wimlib_wim_info::is_marked_readonly

1 iff the "readonly" flag is set in this WIM's header

## spanned

uint32_t wimlib_wim_info::spanned

1 iff the "spanned" flag is set in this WIM's header

## write_in_progress

uint32_t wimlib_wim_info::write_in_progress

1 iff the "write in progress" flag is set in this WIM's header

## metadata_only

uint32_t wimlib_wim_info::metadata_only

1 iff the "metadata only" flag is set in this WIM's header

## resource_only

uint32_t wimlib_wim_info::resource_only

1 iff the "resource only" flag is set in this WIM's header

## pipable

uint32_t wimlib_wim_info::pipable

1 iff this WIM file is pipable (see WIMLIB_WRITE_FLAG_PIPABLE).

## reserved_flags

uint32_t wimlib_wim_info::reserved_flags

## reserved

uint32_t wimlib_wim_info::reserved[9]

The documentation for this struct was generated from the following file:

- wimlib.h